group "Events.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 11 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 11 elements
Used: | at 5 locations

Content Model Diagram

Complex Content Model
(originatingEvent?, trade?) | amendment? | increase? | (terminatingEvent?, termination?) | novation? | optionExercise? | optionExpiry* | deClear? | additionalEvent?

Content Model Elements (11):

  additionalEvent, amendment, deClear, increase, novation, optionExercise, | optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group)

Known Usage Locations

- In definitions of global complexTypes (5):
  EventActivityReport, EventProposedMatch, EventsChoice, PositionHistory, PositionUpdateReason

Annotation
Choice between a trade and a post-trade event.
XML Source (w/o annotations (2); see within schema source)

<xsd:group name="Events.model"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="trade" type="Trade"/> </xsd:sequence> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <xsd:element minOccurs="0" name="amendment" type="TradeAmendmentContent"/> <!-- modified from the below for SDR reporting, BAL 2011-03 <xsd:element name="trade" type="Trade"/> <xsd:element name="amendment" type="TradeAmendmentContent"/> --> <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/> <xsd:element minOccurs="0" name="optionExercise" type="OptionExercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionExpiry" type="OptionExpiry"> <!-- made repeatable so multiple options expiring can be specified in a single message --> </xsd:element> <xsd:element minOccurs="0" name="deClear" type="DeClear"/> <xsd:element minOccurs="0" ref="additionalEvent"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 11/11)
additionalEvent

  Type: | AdditionalEvent, complex content
  Abstract: | (may not be used directly in instance XML documents)

  The additionalEvent element is an extension/substitution point to customize FpML and add additional events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="additionalEvent"/>

amendment

  Type: | TradeAmendmentContent, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amendment" type="TradeAmendmentContent"/>

deClear

  Type: | DeClear, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="deClear" type="DeClear"/>

increase

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/>

novation

  Type: | TradeNovationContent, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/>

optionExercise

  Type: | OptionExercise, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="optionExercise" type="OptionExercise"/>

optionExpiry

  Type: | OptionExpiry, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionExpiry" type="OptionExpiry"> <!-- made repeatable so multiple options expiring can be specified in a single message --> </xsd:element>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/>

termination

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/>

trade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.